petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscURLShorten

Uses Google's service to get a short url for a long url

### Synopsis

    PetscErrorCode PetscURLShorten(const char url[],char shorturl[],size_t lenshorturl)

### Input Parameters

| url | - long URL you want shortened Many br
| lenshorturl | - length of buffer to contain short URL Many br

### Output Parameter

shorturl -the shortened URL Many br

Many br

### See Also

PetscGoogleDriveRefresh(), PetscGoogleDriveUpload(), PetscGoogleDriveAuthorize()

Level:intermediate
Location:src/sys/webclient/google.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/webclient/examples/tutorialsurlshorten.c.html